# cpm_metering – Get Power and Current data from WTI OOB/Combo and PDU devices

New in version 2.7.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Get Power and Current data from WTI OOB/Combo and PDU devices

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---

_terms
- / required

Choices:
- getpower
- getcurrent

This is the Action to send the module.

cpm_password - |  |  | This is the Password of the WTI device to send the module.
cpm_url - / required |  |  | This is the URL of the WTI device to send the module.
cpm_username - |  |  | This is the Username of the WTI device to send the module.
enddate - |  |  | End date of the range to look for power data
startdate - |  |  | Start date of the range to look for power data

use_https
-

Choices:
- yes ←
- no

Default:
"yes"

Designates to use an https connection or http connection.

use_proxy boolean | Default: "yes" |  | Flag to control if the lookup will observe HTTP proxy environment variables when present.

validate_certs
boolean

Choices:
- no
- yes ←

If false, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    # Get Power data
      - name: Get Power data for a given WTI device
      - debug:
            var: lookup('cpm_metering',
                    'getpower',
                    validate_certs=true,
                    use_https=true,
                    cpm_url='rest.wti.com',
                    cpm_username='restpower',
                    cpm_password='restfulpowerpass12')

    # Get Current data
      - name: Get Current data for a given WTI device
      - debug:
            var: lookup('cpm_metering',
                    'getcurrent',
                    validate_certs=true,
                    use_https=true,
                    cpm_url='rest.wti.com',
                    cpm_username='restpower',
                    cpm_password='restfulpowerpass12')

    # Get Power data for a date range
      - name: Get Power data for a given WTI device given a certain date range
      - debug:
            var: lookup('cpm_metering',
                    'getpower',
                    validate_certs=true,
                    use_https=true,
                    cpm_url='rest.wti.com',
                    cpm_username='restpower',
                    cpm_password='restfulpowerpass12',
                    startdate='08-12-2018'
                    enddate='08-14-2018')

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list string | always | The output JSON returned from the commands sent

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Western Telematic Inc. (@wtinetworkgear)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.